Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Enum Class RecognitionMode

java.lang.Object
java.lang.Enum<RecognitionMode>
com.microblink.blinkid.entities.recognizers.blinkid.generic.RecognitionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<RecognitionMode>`, `Constable`

public enum RecognitionMode extends Enum<RecognitionMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BarcodeId`
  Recognition of barcode document.
  `FullRecognition`
  Detailed document recognition.
  `MrzId`
  Recognition of mrz document (does not include visa and passport)
  `MrzPassport`
  Recognition of passport mrz.
  `MrzVisa`
  Recognition of visa mrz.
  `None`
  No recognition performed.
  `PhotoId`
  Recognition of documents that have face photo on the front.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecognitionMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecognitionMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final RecognitionMode None
    No recognition performed.

  - ### MrzId

    public static final RecognitionMode MrzId
    Recognition of mrz document (does not include visa and passport)

  - ### MrzVisa

    public static final RecognitionMode MrzVisa
    Recognition of visa mrz.

  - ### MrzPassport

    public static final RecognitionMode MrzPassport
    Recognition of passport mrz.

  - ### PhotoId

    public static final RecognitionMode PhotoId
    Recognition of documents that have face photo on the front.

  - ### FullRecognition

    public static final RecognitionMode FullRecognition
    Detailed document recognition.

  - ### BarcodeId

    public static final RecognitionMode BarcodeId
    Recognition of barcode document.

- ## Method Details

  - ### values

    public static RecognitionMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecognitionMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null